import { RichTextValue } from "@xapp/chat-widget-core";
import { FC } from "react";
export interface SearchInputProps {
    readonly value: RichTextValue;
    readonly autoFocus?: boolean;
    readonly audioOn: boolean;
    onSearch?(value: RichTextValue): void;
    onChange(value: RichTextValue): void;
    onPrev(): void;
    onNext(): void;
    onSubmit(value: RichTextValue): void;
    onCancel?(): void;
    onFocus?(): void;
}
export declare const SearchInput: FC<SearchInputProps>;
